| Version: 3.1.5

Public Types | Public Member Functions | List of all members
wxWebAuthChallenge Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/webrequest.h>`

## Detailed Description

Authentication challenge information available via wxWebRequest::GetAuthChallenge().

Use SetCredentials() to provide user credentials, e.g.

if ( request.GetState() == wxWebRequest::State_Unauthorized )
{
wxWebCredentials cred("me", wxSecretValue("s3krit"));
request.GetAuthChallenge().SetCredentials(cred);
}
wxSecretValue
Represents the value of a secret in wxSecretStore.
Definition: secretstore.h:58
wxWebCredentials
Simple class containing the username and password to use for authenticating.
Definition: webrequest.h:515
wxWebRequest::State_Unauthorized
@ State_Unauthorized
The request is currently unauthorized.
Definition: webrequest.h:149

## Public Types
enum | Source { Source_Server , Source_Proxy }

## Public Member Functions
Source | GetSource () const
| Returns which source requested credentials with this challenge. More...
void | SetCredentials (const wxWebCredentials &cred)
| Used to provide user credentials to the authentication challenge. More...

## Member Enumeration Documentation

## ◆ Source

enum wxWebAuthChallenge::Source

Enumerator
Source_Server | The server requested authentication.
Source_Proxy | A proxy requested authentication.

## Member Function Documentation

## ◆ GetSource()

Source wxWebAuthChallenge::GetSource | ( |  | ) | const

Returns which source requested credentials with this challenge.

## ◆ SetCredentials()

void wxWebAuthChallenge::SetCredentials | ( | const wxWebCredentials & | cred | ) |

Used to provide user credentials to the authentication challenge.

See also
  wxWebCredentials